<?php 
include_once 'main.php';
$hint='<div class="alert alert-info rtl text-center"><img src="./images/hint.png" width="25"> نام کاربری و رمز عبور خود را وارد نمایید.</div>';
$error="";
$captcha_access=1;
if (isset($_SESSION['projecta_admin'])) 
{
	header("location: ./");
}
else
{
	if (isset($_POST['login'])) 
	{
			if (isset($_SESSION['login_attempt']) && $_SESSION['login_attempt'] >= 3) 
			{
				
				//Captcha Validation
				if (($_SESSION['security_code'] == $_POST['security_code'])) 
				{
					//Captcha Login Premission
					$captcha_access=1;
					unset($_SESSION['security_code']);
				}
				else
				{
					$hint="";
					$error="کد امنیتی وارد شده صحیح نیست";
					$captcha_access=0;
				}
			}
			
			if ($captcha_access==1) 
			{
				{
					$username=$_POST['username'];
					$password=$_POST['password'];
					//If Username Password Set Correct
					if ($admin->AdminLogin($_POST['username'],md5($_POST['password']))==1) 
					{
						//Read User Informaton base on Login
						$adminAccess=$admin->Getinfo("ausername",$username);

						//Admin Activity Status Check
						if ($adminAccess['0']['aactive']==0)
						{
						  $hint="";
						  $error="حساب کاربری شما غیر فعال شده است";
						}

						//Admin Expiration Date Check
						elseif ($adminAccess['0']['aexpiration_date']!="") 
						{
							$aid=$adminAccess['0']['aid'];
							$aexpiration_date=$adminAccess['0']['aexpiration_date'];
							date_default_timezone_set('UTC');
							$var = "$aexpiration_date 00:00:00.0";
							$today = date("Y-m-d H:i:s");
							if ($today>$var)
							{
								$error="تاریخ اعتبار حساب کاربری شما به پایان رسیده است";
								$hint="";
							}
						}
						if ($error=="") 
						{
							$_SESSION['projecta_admin']=$_POST['username'].':'.md5($_POST['password']);
							if (isset($_SESSION['login_attempt'])) 
								$_SESSION['login_attempt']=0;
							
							header('location: ./');
							
						}

					}
					//Uncorrect Username Password
					else
					{
						$hint="";
						$error='نام کاربری/رمز عبور وارد شده صحیح نیست';
						//Uncorrect Username Password Again & Again
						if (isset($_SESSION['login_attempt'])) 
						{
							$_SESSION['login_attempt']=$_SESSION['login_attempt'] + 1 ;
							//Show Captcha
							if ( $_SESSION['login_attempt'] >= 3 )
								$captcha_access=0;
						}
						//Uncorrect Username Password First Time
						else
							$_SESSION['login_attempt']=1;
					}
				}
			}
	}
}
include 'header.php';

echo'
	<form method="post" action="" id="signup-form" class="col-md-12 col-sm-12 col-xs-12">
		<center><img src="./images/brand-logo.png" width="200"><center>
		<div class="form-group">
			<br><input type="text" id="username" name="username" placeholder="Username" autofocus dir="ltr" class="form-control">
		</div>
		<div class="form-group">
			<input type="password" id="password" name="password" placeholder="Password" dir="ltr" class="form-control"><br>
		</div>';
		if (isset($_SESSION['login_attempt']) && $_SESSION['login_attempt'] >= 3 ) {
		$captcha_access=0;
			echo'

			<div class="form-group">
				<label for="security_code">کد امنیتی:
				<img src="./includes/captcha.php" alt=""></label>
				<input type="text" id="security_code" name="security_code" placeholder="Security Code" dir="ltr" class="form-control"><br>
			</div>
			';
		}
			echo'
				<center><input type="submit" name="login" value="ورود" class="btn btn-primary " style="width:150px"><br><br></center>
			';	

	if (!empty($error))
		Failure($error);

	if (!empty($hint)){
		echo $hint;
	}

echo'
	</form>
';
include 'footer.php';
 ?>